#featuredPosts,
#featuredPosts .featuredPostsInner {
  width: 100%;
  display: block;
  margin: auto;
  position: relative;
}
#featuredPosts .container {
  width: 100%;
  max-width: 2500px;
  margin: 0 auto;
  padding-left: clamp(20px, 6.25vw, 80px);
  padding-right: clamp(20px, 6.25vw, 80px);
}
#featuredPosts .row.flex {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 100%;
  gap: 2rem;
}

#featuredPosts .row {
  margin-left: 0;
  margin-right: 0;
}

#featuredPosts .row:before,
#featuredPosts .row:after {
  content: "";
  display: none !important;
}

#featuredPosts .cta-container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 3rem;
}

#featuredPosts .cta-link {
  font-family: "StRydeRegular";
  line-height: 1;
  font-size: clamp(12px, 1.094vw, 14px);
  font-weight: 400;
  text-transform: uppercase;
  position: relative;
  display: flex;
  align-items: center;
  color: var(--primary);
  display: inline-block;
}

#featuredPosts .cta-link:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -0.5rem;
  width: 100%;
  height: 1px;
  background: var(--primary);
}

#featuredPosts .row.flex h2 {
  margin-bottom: 0px;
}

#featuredPosts .row.flex.justify-space-between {
  justify-content: space-between;
}

#featuredPosts .postsContainer {
  width: 100%;
  padding-left: clamp(20px, 6.25vw, 80px);
  margin-top: 4rem;
  margin-bottom: 6rem;
}
#featuredPosts .singlePost {
  width: 30%;
  margin-right: 20px;
  cursor: pointer;
}
#featuredPosts .singlePost .postTitle {
  width: 100%;
  color: var(--primary);
  margin-top: 16px;
  font-family: "StRydeRegular";
  line-height: 1.1;
  font-size: clamp(14px, 1.25vw, 16px);
  font-weight: 700;
  text-decoration: none;
  display: block;
}
#featuredPosts .singlePost .postTitle:visited {
  color: var(--primary);
}
#featuredPosts .singlePost .img-container {
  height: 29.5vw;
  justify-content: center;
  display: flex;
  flex-direction: row;
  overflow: hidden;
  flex-wrap: wrap;
  position: relative;
  cursor: pointer;
}
#featuredPosts .singlePost img {
  object-fit: cover;
  flex: 1;
  height: 100%;
  transition: 0.2s all;
}
#featuredPosts .bg-overlay {
  opacity: 0;
  cursor: pointer;
  transition: 0.2s all;
}
#featuredPosts .singlePost .img-container:hover .bg-overlay {
  opacity: 1;
}
#featuredPosts .singlePost .img-container:hover img {
  filter: blur(4px);
}
#featuredPosts .bg-overlay p {
  font-family: "StRydeRegular";
  line-height: 1.1;
  font-size: clamp(14px, 1.094vw, 14px);
  font-weight: 400;
  text-transform: uppercase;
  position: relative;
}
#featuredPosts .bg-overlay p:after {
  content: "";
  width: 100%;
  background: var(--white);
  height: 1px;
  position: absolute;
  left: 0;
  bottom: -5px;
}
#featuredPosts .singlePost .img-container:hover .bg-overlay img {
  filter: none;
  margin-top: -3px;
}
#featuredPosts .flickity-prev-next-button.previous {
  left: auto;
  right: 9rem;
}
#featuredPosts .flickity-prev-next-button.next {
  right: 3rem;
}
#featuredPosts .flickity-prev-next-button {
  top: auto;
  bottom: -10rem;
}
#featuredPosts .flickity-button {
  background: var(--primary);
  color: var(--white);
}

.cursor {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background-size: contain !important;
  -webkit-background-size: contain !important;
  -moz-background-size: contain !important;
  -o-background-size: contain !important;
  position: fixed;
  left: 0;
  top: 0;
  pointer-events: none;
  z-index: 100;
  opacity: 0;
  background: url("../../assets/cursor-drag.svg") center center no-repeat;
}

@media only screen and (max-width: 900px) {
  #featuredPosts .singlePost {
    width: 70%;
  }
  #featuredPosts .flickity-prev-next-button {
    bottom: -7rem;
  }
  #featuredPosts .singlePost .img-container {
    height: 70vw;
  }
  #featuredPosts .row.flex {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0;
  }
  #featuredPosts h2 + div {
    margin-top: 20px;
  }
}
@media only screen and (max-width: 500px) {
  .cursor {
    display: none;
  }
}
